Arc overlapping on another arc

Discussion in 'AutoCAD' started by RaghuMN, Sep 29, 2004.

  1. RaghuMN

    RaghuMN Guest

    Hi all,

    Could you throw some light on how to find an small arc that is overlapping along the curve on another large arc?
    (A large arc is segmented into smaller arcs for some purpose.)
    Both the arcs have same radius.

    Any help much appreciated.

    Thanks in advance,

    MNRaghu
     
    RaghuMN, Sep 29, 2004
    #1
  2. RaghuMN

    mataeux Guest

    (setq arcLarge (entget(car(entsel"\nselect large arc: ")))
    arcSmall (ssget "X"
    (list
    (assoc 10 arcLarge) ;center
    (assoc 40 arcLarge) ;radius
    )
    )
    )

    now look into (ssget) options to refine the search to those small arcs
    between the start and end angles of the large arcs
     
    mataeux, Sep 29, 2004
    #2
  3. RaghuMN

    RaghuMN Guest

    Thanks for the information Mataeux,

    I'll give a try following your suggestions.

    One more clarification:

    I have 2 arcs that are drawn exactly same radius, centerpoint and angle, but one is drawn clockwise and the other drawn from anticlockwise direction. I have seen that the start and end angles are same in both the cases. Is this true in all the cases, irrespective of the direction from which the arc is drawn? (ie., Does the Dxf codes 50 and 51 remain same in both the cases?)

    Thanks for the continuing support.

    MNRaghu
     
    RaghuMN, Sep 30, 2004
    #3
  4. RaghuMN

    BillZ Guest

    RaghuMN,

    Arcs are drawn in a counter clockwise manner.

    Bill
     
    BillZ, Sep 30, 2004
    #4
  5. RaghuMN

    mataeux Guest

    you may be referring to an arc that has been mirrored or from an exploded
    region when the normal = (210 0 0 -1)


    but one is drawn clockwise and the other drawn from anticlockwise direction.
    I have seen that the start and end angles are same in both the cases. Is
    this true in all the cases, irrespective of the direction from which the arc
    is drawn? (ie., Does the Dxf codes 50 and 51 remain same in both the cases?)
     
    mataeux, Sep 30, 2004
    #5
  6. RaghuMN

    RaghuMN Guest

    Mataeux,

    Yes, that was also one of my considerations.
    In this case, considering the start and end angles would give some inconsistent results. One option would be to first make sure that the extruded arcs are exclued from being processed.
    (I am also little confused over this extrusion issue.?)

    Any ideas on this issue?

    Bill, any further ideas on the above issue?


    Thanks,
    MNRaghu.
     
    RaghuMN, Oct 1, 2004
    #6
  7. RaghuMN

    BillZ Guest

    Sorry I took so ling to get back here.

    I thought about using the bounding box of the large arc to window all other arcs inside and then check the entites for radius and center point. But it seems as if the bounding box method returns an erroneous minimum point.
    The minimum point returned for this arc:
    ((-1 . <Entity name: 7ef57e98>) (0 . "ARC") (330 . <Entity name:
    7ef57cf8>) (5 . "8B") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "0")
    (100 . "AcDbCircle") (10 26.5687 15.5483 0.0) (40 . 6.48005) (210 0.0 0.0 1.0)
    (100 . "AcDbArc") (50 . 0.479027) (51 . 3.26774))

    appears to be the end point of the arc and not the minimum most X value of the arc. So it could leave some entites out of the window selection.

    Bill
     
    BillZ, Oct 4, 2004
    #7
  8. RaghuMN

    BillZ Guest

    Heres one that the bounding box misses most all of it:

    ((-1 . <Entity name: 7ef57ed8>) (0 . ARC) (330 . <Entity name:
    7ef57cf8>) (5 . 93) (100 . AcDbEntity) (67 . 0) (410 . Model) (8 . 0) (100 .
    AcDbCircle) (10 21.5495 6.87028 0.0) (40 . 2.31094) (210 0.0 0.0 1.0) (100 .
    AcDbArc) (50 . 0.207152) (51 . 3.60444))
    Bill
     
    BillZ, Oct 4, 2004
    #8
  9. RaghuMN

    BillZ Guest

    Oops! :(

    had osnaps set to "end".

    Sorry for any inconvenience.


    Bill
     
    BillZ, Oct 4, 2004
    #9
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.